package com.rshy.project.hy.config.properties;

import com.rshy.project.hy.server.dto.PctzdrydkParamDTO;
import com.rshy.project.hy.server.param.AgentApiParam;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @author: fanqun
 * @date: 2022/5/19 20:02
 * @description: 杭州市重点人员底库接口参数配置
 */
@Data
@Accessors(chain = true)
@Configuration
@ConfigurationProperties(prefix = "itfw.pctzdrydk")
public class PctzdrydkProperties extends AgentApiParam {

    private PctzdrydkParamDTO body;
    private PctzdrydkParamDTO.Query query;
}
