package com.rshy.project.hy.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lileilei
 * @date: 2022/4/21 15:32
 * @description:
 */
@Getter
@AllArgsConstructor
public enum PassStatusEnum {
    //在逃人员或拦截人员
    NO_PASSING(0, "拦截", "请重刷"),
    RIGHT_WAY(1, "存疑", "请稍等"),
    NORMAL_TRAFFIC(2, "核验通过", "通过"),
    GREEN_CODE(2, "绿码", "通过"),
    RED_CODE(3, "红码", "健康码异常"),
    YELLOW_CODE(3, "黄码", "健康码异常"),
    NO_HEALTH_CODE(3, "无健康码", "健康码异常"),
    ABNORMAL_TRAVEL_CARD(3, "行程码异常", "健康码异常"),
    //人证或人码不符
    NO_MATCHED(3, "人证(码)不符", "健康码异常"),
    //不符合防疫要求
    NON_CONFORMANCE(3, "核酸未符合", "健康码异常");

    private Integer code;
    private String desc;
    private String tts;
}
