package com.rshy.project.hy.server.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author: lileilei
 * @date: 2022/4/20 11:08
 * @description:
 */
@Data
@Accessors(chain = true)
public class RetrievalDTO {
    /**
     * base64 编码后的照片内 容
     */
    private String picture_image_content_base64;

    /**
     * 库 id 列表
     */
    private List<String> repository_ids;

    /**
     * 相似度分数线
     */
    private String threshold;

    /**
     * 检索是否开启加速
     */
    private Boolean fast;
}
